

export default{
    name: 'BaseContent',
    props: {
      icon: {
          type: String
      },
      title: {
          type: String
      },
      showIcon: {
        type: Boolean,
        default: true
      },
      titleSize: {
        type: String,
        default: 'medium',
        validator(value) {
          return ['small', 'medium', 'large'].indexOf(value) !== -1;
        },
      },
      titleJustify: {
        default: 'center',
        validator(value) {
          return ['center', 'left', 'right'].indexOf(value) !== -1;
        },
      }
    }
}